.TH "/home/pere/src/debiancvs/pkg-discover/discover/trunk/include/discover/discover.h" 3 "28 Jul 2005" "discover" \" -*- nroff -*-
.ad l
.nh
.SH NAME
/home/pere/src/debiancvs/pkg-discover/discover/trunk/include/discover/discover.h \- Public interface for Discover library. 
.SH SYNOPSIS
.br
.PP
\fC#include <stdbool.h>\fP
.br
\fC#include <discover/sysdep.h>\fP
.br

.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBBUS_COUNT\fP   5"
.br
.in -1c
.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef void *( \fBdiscover_create_message_t\fP )(struct \fBdiscover_error\fP **, char *)"
.br
.ti -1c
.RI "typedef \fBdiscover_error\fP \fBdiscover_error_t\fP"
.br
.ti -1c
.RI "typedef \fBdiscover_bus_map\fP \fBdiscover_bus_map_t\fP"
.br
.ti -1c
.RI "typedef discover_device \fBdiscover_device_t\fP"
.br
.ti -1c
.RI "typedef discover_data \fBdiscover_data_t\fP"
.br
.ti -1c
.RI "typedef discover_xml_busclass \fBdiscover_xml_busclass_t\fP"
.br
.ti -1c
.RI "typedef discover_xml_vendor \fBdiscover_xml_vendor_t\fP"
.br
.ti -1c
.RI "typedef discover_xml_url \fBdiscover_xml_url_t\fP"
.br
.ti -1c
.RI "typedef \fBdiscover_device_t\fP *( \fBdiscover_device_func_t\fP )(\fBdiscover_error_t\fP *)"
.br
.ti -1c
.RI "typedef \fBdiscover_xml_busclass_t\fP *( \fBdiscover_xml_busclass_func_t\fP )(\fBdiscover_error_t\fP *)"
.br
.ti -1c
.RI "typedef \fBdiscover_xml_vendor_t\fP *( \fBdiscover_xml_vendor_func_t\fP )(\fBdiscover_error_t\fP *)"
.br
.ti -1c
.RI "typedef \fBdiscover_xml_url_t\fP *( \fBdiscover_xml_url_func_t\fP )(\fBdiscover_error_t\fP *)"
.br
.ti -1c
.RI "typedef void( \fBdiscover_free_func_t\fP )(void)"
.br
.ti -1c
.RI "typedef \fBdiscover_sysdep_data_t\fP *( \fBdiscover_sysdep_raw_func_t\fP )(void)"
.br
.in -1c
.SS "Enumerations"

.in +1c
.ti -1c
.RI "enum \fBdiscover_error_code_t\fP { \fBDISCOVER_SUCCESS\fP, \fBDISCOVER_EIO\fP, \fBDISCOVER_EXML\fP, \fBDISCOVER_ESYS\fP, \fBDISCOVER_EBUSDISABLED\fP, \fBDISCOVER_EBUSNOTFOUND\fP, \fBDISCOVER_EDATANOTFOUND\fP, \fBDISCOVER_EDEVICENOTFOUND\fP, \fBDISCOVER_EBADVERSION\fP, \fBDISCOVER_ENOIMPL\fP }"
.br
.ti -1c
.RI "enum \fBdiscover_bus_t\fP { \fBATA\fP, \fBPCI\fP, \fBPCMCIA\fP, \fBSCSI\fP, \fBUSB\fP }"
.br
.ti -1c
.RI "enum \fBdiscover_filetype_t\fP { \fBVENDOR_TYPE\fP, \fBBUSCLASS_TYPE\fP, \fBDEVICE_TYPE\fP }"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "\fBdiscover_device_t\fP * \fBdiscover_get_devices\fP (\fBdiscover_bus_t\fP bus, \fBdiscover_error_t\fP *status)"
.br
.ti -1c
.RI "void \fBdiscover_free_devices\fP (void)"
.br
.ti -1c
.RI "\fBdiscover_error_t\fP * \fBdiscover_error_new\fP (void)"
.br
.ti -1c
.RI "void \fBdiscover_error_free\fP (\fBdiscover_error_t\fP *status)"
.br
.ti -1c
.RI "char * \fBdiscover_strerror\fP (\fBdiscover_error_t\fP *err)"
.br
.ti -1c
.RI "int \fBdiscover_major_version\fP (void)"
.br
.ti -1c
.RI "int \fBdiscover_minor_version\fP (void)"
.br
.ti -1c
.RI "int \fBdiscover_micro_version\fP (void)"
.br
.ti -1c
.RI "\fBdiscover_device_t\fP * \fBdiscover_device_new\fP (void)"
.br
.ti -1c
.RI "\fBdiscover_device_t\fP * \fBdiscover_device_find\fP (char *discover_class, \fBdiscover_error_t\fP *status)"
.br
.ti -1c
.RI "char * \fBdiscover_device_get_data\fP (\fBdiscover_device_t\fP *device, char *path, char *version, \fBdiscover_error_t\fP *status)"
.br
.ti -1c
.RI "void \fBdiscover_device_copy\fP (\fBdiscover_device_t\fP *src, \fBdiscover_device_t\fP *dst)"
.br
.ti -1c
.RI "char * \fBdiscover_device_get_busclass\fP (\fBdiscover_device_t\fP *device)"
.br
.ti -1c
.RI "char * \fBdiscover_device_get_model_id\fP (\fBdiscover_device_t\fP *device)"
.br
.ti -1c
.RI "char * \fBdiscover_device_get_model_name\fP (\fBdiscover_device_t\fP *device)"
.br
.ti -1c
.RI "char * \fBdiscover_device_get_vendor_id\fP (\fBdiscover_device_t\fP *device)"
.br
.ti -1c
.RI "char * \fBdiscover_device_get_vendor_name\fP (\fBdiscover_device_t\fP *device)"
.br
.ti -1c
.RI "\fBdiscover_data_t\fP * \fBdiscover_device_get_data_struct\fP (\fBdiscover_device_t\fP *device)"
.br
.ti -1c
.RI "\fBdiscover_device_t\fP * \fBdiscover_device_get_next\fP (\fBdiscover_device_t\fP *device)"
.br
.ti -1c
.RI "void \fBdiscover_device_free\fP (\fBdiscover_device_t\fP *devices, int free_data)"
.br
.ti -1c
.RI "\fBdiscover_data_t\fP * \fBdiscover_data_new\fP (void)"
.br
.ti -1c
.RI "char * \fBdiscover_data_get_class\fP (\fBdiscover_data_t\fP *data)"
.br
.ti -1c
.RI "char * \fBdiscover_data_get_text\fP (\fBdiscover_data_t\fP *data)"
.br
.ti -1c
.RI "\fBdiscover_data_t\fP * \fBdiscover_data_get_parent\fP (\fBdiscover_data_t\fP *data)"
.br
.ti -1c
.RI "\fBdiscover_data_t\fP * \fBdiscover_data_get_child\fP (\fBdiscover_data_t\fP *data)"
.br
.ti -1c
.RI "\fBdiscover_data_t\fP * \fBdiscover_data_get_next\fP (\fBdiscover_data_t\fP *data)"
.br
.ti -1c
.RI "\fBdiscover_data_t\fP * \fBdiscover_data_get_prev\fP (\fBdiscover_data_t\fP *prev)"
.br
.ti -1c
.RI "\fBdiscover_data_t\fP * \fBdiscover_data_get_first\fP (\fBdiscover_data_t\fP *data)"
.br
.ti -1c
.RI "void \fBdiscover_data_free\fP (\fBdiscover_data_t\fP *data_tree)"
.br
.in -1c
.SH "Detailed Description"
.PP 
Public interface for Discover library. 


.PP
Definition in file \fBdiscover.h\fP.
.SH "Function Documentation"
.PP 
.SS "void discover_free_devices (void)"
.PP
Free the currently allocated memory holding the device information. 
.PP
Definition at line 301 of file sysdep.c.
.PP
References BUS_COUNT, and discover_device_free().
.SS "\fBdiscover_device_t\fP* discover_get_devices (\fBdiscover_bus_t\fP bus, \fBdiscover_error_t\fP * status)"
.PP
Function responsible for returning a devicelist of current devices 
.PP
Definition at line 206 of file sysdep.c.
.PP
References _discover_convert_device_data(), _discover_free_sysdep_data(), discover_error::code, discover_conf_get_bus_map(), discover_device_new(), DISCOVER_EBUSDISABLED, DISCOVER_SUCCESS, discover_xml_get_devices(), discover_xml_get_matching_devices(), discover_bus_map::get_raw, and discover_bus_map::scan_never.
.PP
Referenced by discover_device_find().
.SH "Author"
.PP 
Generated automatically by Doxygen for discover from the source code.
